<< gph_isEqual | gph | gph_me >>

CCA (Computational Convex Analysis) >> gph > gph_lft

# gph_lft

Graph-matrix calculus (GPH), Legendre-Fenchel conjugate

### Calling Sequence

    gphstar = gph_lft(gph)

### Parameters

gph

  matrix. A function in GPH matrix form.

gphstar

  matrix. The conjugate of the function gph, in GPH matrix form.

### Description

Computes the Legendre-Fenchel conjugate of a given GPH function. For a convex PLQ function f with GPH matrix [x;s;y], the GPH matrix of the conjuagte, f*, is

### Examples

    gph = [-1,  0, 0, 1, 2; ..
           -1, -1, 0, 0, 2; ..
            1,  0, 0, 0, 1];
    gphstar = gph_lft(gph),
    scf(); gph_plot(gph, gphstar);

### See Also

- gph_function

### Authors

`Bryan Gardiner`, University of British Columbia, BC, Canada

<< gph_isEqual | gph | gph_me >>